[Unit]
Description=audiosystem-passthrough instance implementing IQcRilAudio interface
After=pulseaudio.service
PartOf=pulseaudio.service

[Service]
Type=simple
Environment=AUDIOSYSTEM_PASSTHROUGH_ADDRESS=unix:path=%t/pulse/dbus-socket
Environment=AUDIOSYSTEM_PASSTHROUGH_TYPE=qti
ExecCondition=/usr/libexec/ubuntu-touch-session/check-for-iqcrilaudio
ExecStart=/usr/libexec/audiosystem-passthrough/audiosystem-passthrough

[Install]
WantedBy=pulseaudio.service
